package com.ruoyi.framework.recovery.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 积分明细对象 wx_credit
 *
 * @author jin
 * @date 2024-12-01
 */
@Data
public class WxCredit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 积分id */
    private Long id;

    /** 积分类型 */
    @Excel(name = "积分类型")
    private String creditType;

    /** 积分数 */
    @Excel(name = "积分数")
    private Long creditNum;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateDate;
}
