package com.ruoyi.framework.recovery.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Data
public class WxContent {
    /** 评论id */
    private Long id;

    /** 评论内容 */
    @Excel(name = "评论内容")
    private String content;

    @Excel(name = "点赞数")
    private Long thumbs;

    /**
     * 创建人名称
     */
    private String username;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 是否点过赞
     */
    private String access;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updateDate;

    private String images;
}
